aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteBucket

# Documentation

data DeleteBucket #

Constructors

DeleteBucket |

Fields

- dbBucket :: Bucket

#### Instances

Instances details

SignQuery DeleteBucket # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type ServiceConfiguration DeleteBucket |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ServiceConfiguration DeleteBucket = S3Configuration

Methods

signQuery :: DeleteBucket -> ServiceConfiguration DeleteBucket queryType -> SignatureData -> SignedQuery #

Show DeleteBucket # |
Instance details Defined in Aws.S3.Commands.DeleteBucket Methods showsPrec :: Int -> DeleteBucket -> ShowS # show :: DeleteBucket -> String # showList :: [DeleteBucket] -> ShowS #
ResponseConsumer DeleteBucket DeleteBucketResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type ResponseMetadata DeleteBucketResponse |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ResponseMetadata DeleteBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteBucket -> IORef (ResponseMetadata DeleteBucketResponse) -> HTTPResponseConsumer DeleteBucketResponse #

Transaction DeleteBucket DeleteBucketResponse # |
Instance details Defined in Aws.S3.Commands.DeleteBucket
type ServiceConfiguration DeleteBucket # |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ServiceConfiguration DeleteBucket = S3Configuration

data DeleteBucketResponse #

Constructors

DeleteBucketResponse |

#### Instances

Instances details

AsMemoryResponse DeleteBucketResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type MemoryResponse DeleteBucketResponse |
Instance details Defined in Aws.S3.Commands.DeleteBucket type MemoryResponse DeleteBucketResponse = DeleteBucketResponse

Methods

loadToMemory :: DeleteBucketResponse -> ResourceT IO (MemoryResponse DeleteBucketResponse) #

Show DeleteBucketResponse # |
Instance details Defined in Aws.S3.Commands.DeleteBucket Methods showsPrec :: Int -> DeleteBucketResponse -> ShowS # show :: DeleteBucketResponse -> String # showList :: [DeleteBucketResponse] -> ShowS #
ResponseConsumer DeleteBucket DeleteBucketResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type ResponseMetadata DeleteBucketResponse |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ResponseMetadata DeleteBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteBucket -> IORef (ResponseMetadata DeleteBucketResponse) -> HTTPResponseConsumer DeleteBucketResponse #

Transaction DeleteBucket DeleteBucketResponse # |
Instance details Defined in Aws.S3.Commands.DeleteBucket
type MemoryResponse DeleteBucketResponse # |
Instance details Defined in Aws.S3.Commands.DeleteBucket type MemoryResponse DeleteBucketResponse = DeleteBucketResponse
type ResponseMetadata DeleteBucketResponse # |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ResponseMetadata DeleteBucketResponse = S3Metadata